import { jsx as m } from "@emotion/react/jsx-runtime";
import { useEffect as n } from "react";
import { useFormContext as s } from "react-hook-form";
import { fieldFactory as f } from "./fieldFactory.js";
function i(o) {
  const { statusLoad: t } = o, { setFocus: e } = s(), r = f().getComponent();
  return n(() => {
    setTimeout(() => e("formValueOperator"), 100);
  }, [t]), /* @__PURE__ */ m(r, {});
}
export {
  i as default
};
